<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>Uses of Package presentation_layer</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="use: package: presentation_layer">
<meta name="generator" content="javadoc/PackageUseWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="package-use">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Uses of Package presentation_layer" class="title">Uses of Package<br>presentation_layer</h1>
</div>
<div class="contentContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="package-summary.html">presentation_layer</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#business_layer">business_layer</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#presentation_layer">presentation_layer</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="packageUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="business_layer">
<!--   -->
</a>
<div class="useSummary">
<table>
<caption><span>Classes in <a href="package-summary.html">presentation_layer</a> used by <a href="../business_layer/package-summary.html">business_layer</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/Observer.html#business_layer">Observer</a></th>
<td class="colLast">
<div class="block">– este o interfata ce implementeaza interfata Serializable; contine metoda abstracta update() ( folosita la implementarea design pattern-ului Observer);</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="presentation_layer">
<!--   -->
</a>
<div class="useSummary">
<table>
<caption><span>Classes in <a href="package-summary.html">presentation_layer</a> used by <a href="package-summary.html">presentation_layer</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/Observer.html#presentation_layer">Observer</a></th>
<td class="colLast">
<div class="block">– este o interfata ce implementeaza interfata Serializable; contine metoda abstracta update() ( folosita la implementarea design pattern-ului Observer);</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/ViewAdministratorGUI.html#presentation_layer">ViewAdministratorGUI</a></th>
<td class="colLast">
<div class="block">- extinde clasa JFrame; contine ca variabile instanta obiecte de tipul JTextField pentru id-ul, numele si pretul produsului, dar si pentru produsele din care este alcatuit produsul compus (pentru adaugarea unui produs de baza sau produs compus), mai contine, de asemenea, variabile instanta pentru noul nume si pentru noul pret (pentru editarea produsului), obiecte de tipul JButton pentru butoanele corespunzatoare operatiilor de adaugare, editare, stergere a unui produs, afisarea tabelului, butonul back, pentru revenirea la fereastra principala a aplicatiei, si patru obiecte de tipul JTable, DefaultTableModel, JScrollPane si respectiv ListSelectionModel, pentru afisarea tabelului in interfata grafica, plus o variabila de tipul int in care este stocat id-ul selectat din tabel; clasa contine un constructor in care este creata fereastra, metode de get pentru variabilele instanta si metode utilizate pentru a adauga cate un ActionListener fiecarui buton; in cazul operatiilor de editare sau stergere a unui produs, este necesara selectarea id-ului corespunzator produsului existent in meniu;</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/ViewChefGUI.html#presentation_layer">ViewChefGUI</a></th>
<td class="colLast">
<div class="block">- extinde clasa JFrame; contine ca variabile instanta trei obiecte de tipul JTable, DefaultTableModel si JScrollPane pentru afisarea tabelului in interfata grafica; clasa contine un constructor in care este creata fereastra si metode de get pentru variabilele instanta;</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/ViewStart.html#presentation_layer">ViewStart</a></th>
<td class="colLast">
<div class="block">- extinde clasa JFrame; contine ca variabila instanta un obiect de tipul JComboBox<String>, ce permite selectarea urmatoarei ferestre ce se doreste a fi vizualizata; clasa contine un constructor in care este creata fereastra, o metoda de get pentru variabila instanta si o metoda utilizata pentru a adauga un ActionListener combo box-ului;</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/ViewWaiterGUI.html#presentation_layer">ViewWaiterGUI</a></th>
<td class="colLast">
<div class="block">- extinde clasa JFrame; contine ca variabile instanta obiecte de tipul JTextField pentru id-ul comenzii, numarul mesei, produsele ce compun comanda (pentru adaugarea unei comenzi), valoarea totala a comenzii (se afiseaza cand se apasa butonul pentru generarea facturii), mai contine si obiecte de tipul JButton pentru butoanele corespunzatoare operatiilor de adaugare, stergere a unei comenzi, afisarea tabelului, generarea facturii si butonul back, pentru revenirea in fereastra principala, patru obiecte de tipul JTable, DefaultTableModel, JScrollPane si ListSelectionModel pentru afisarea tabelului in interfata grafica, plus o variabila de tipul int in care este stocat id-ul selectat din tabel; clasa contine un constructor in care este creata fereastra, metode de get pentru variabilele instanta si metode utilizate pentru a adauga cate un ActionListener fiecarui buton; in situatia in care se doreste generarea facturii sau stergerea unei comenzi, este necesara selectarea id-ului corespunzator comenzii respective;</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
